eoTimedStateSaver(3)

NAME
eoTimedStateSaver - an eoUpdater that saves a state every given time interval

SYNOPSIS

#include <eoUpdater.h>

Inherits eoUpdater.

  Public Member Functions
eoTimedStateSaver (time_t _interval, const eoState &_state, std::string _prefix='state', std::string _extension='sav')
void operator() (void)
The pure virtual function that needs to be implemented by the subclass.
virtual std::string className (void) const

  Private Attributes
const eoState & state
const time_t interval
time_t last_time
const time_t first_time
const std::string prefix
const std::string extension

Detailed Description

an eoUpdater that saves a state every given time interval

Definition at line 104 of file eoUpdater.h.

Author

Generated automatically by Doxygen for EO from the source code.